# Download and set up libfreenect2

include(cmake/Externals.cmake)

if(WIN32)
ExternalProject_Add(realsense
        PREFIX ${FAST_EXTERNAL_BUILD_DIR}/realsense
        BINARY_DIR ${FAST_EXTERNAL_BUILD_DIR}/realsense
        GIT_REPOSITORY "https://github.com/IntelRealSense/librealsense.git"
        GIT_TAG "v2.40.0"
        CMAKE_ARGS
        -DBUILD_EXAMPLES:BOOL=OFF
        -DBUILD_GRAPHICAL_EXAMPLES:BOOL=OFF
        -DBUILD_EASYLOGGINGPP:BOOL=OFF
        -DBUILD_WITH_TM2:BOOL=OFF
        -DBUILD_WITH_OPENMP:BOOL=ON
        CMAKE_CACHE_ARGS
        -DCMAKE_BUILD_TYPE:STRING=Release
        -DCMAKE_VERBOSE_MAKEFILE:BOOL=OFF
        -DCMAKE_INSTALL_MESSAGE:BOOL=LAZY
        -DCMAKE_INSTALL_PREFIX:STRING=${FAST_EXTERNAL_INSTALL_DIR}
        )
else()
ExternalProject_Add(realsense
        PREFIX ${FAST_EXTERNAL_BUILD_DIR}/realsense
        BINARY_DIR ${FAST_EXTERNAL_BUILD_DIR}/realsense
        GIT_REPOSITORY "https://github.com/IntelRealSense/librealsense.git"
        GIT_TAG "v2.40.0"
	INSTALL_COMMAND make install/strip
        CMAKE_ARGS
        -DBUILD_EXAMPLES:BOOL=OFF
        -DBUILD_GRAPHICAL_EXAMPLES:BOOL=OFF
        -DBUILD_EASYLOGGINGPP:BOOL=OFF
        -DBUILD_WITH_TM2:BOOL=OFF
        -DBUILD_WITH_OPENMP:BOOL=ON
        CMAKE_CACHE_ARGS
        -DCMAKE_BUILD_TYPE:STRING=Release
        -DCMAKE_VERBOSE_MAKEFILE:BOOL=OFF
        -DCMAKE_INSTALL_MESSAGE:BOOL=LAZY
        -DCMAKE_INSTALL_PREFIX:STRING=${FAST_EXTERNAL_INSTALL_DIR}
        )
endif()

list(APPEND LIBRARIES ${CMAKE_SHARED_LIBRARY_PREFIX}realsense2${CMAKE_SHARED_LIBRARY_SUFFIX})
list(APPEND FAST_EXTERNAL_DEPENDENCIES realsense)
